/*
 * @Author: your name
 * @Date: 2022-01-06 10:05:44
 * @LastEditTime: 2022-02-15 17:33:05
 * @LastEditors: your name
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \src\router\routes\routes-file-five.js
 */
import Layout from '@/layout'

const accountGroupRoutes = {
  path: '/',
  component: Layout,
  redirect: '/dashboard',
  children: [{
    path: 'accountGroup',
    component: () => import('@/views/accountGroupManagement/index'),
    meta: {
      title: '账号组管理'
    },
    children: [{
      path: '/',
      name: 'accountGroupHome',
      component: () => import('@/views/accountGroupManagement/components/accountGroupHome'),
      meta: {
        title: '账号组管理'
      }
    },
    {
      path: 'Add',
      name: 'accountGroupAdd',
      component: () => import('@/views/accountGroupManagement/components/accountGroupAdd'),
      meta: {
        title: '新增账号组'
      }
    },
    {
      path: 'Edit',
      name: 'accountGroupEdit',
      component: () => import('@/views/accountGroupManagement/components/accountGroupEdit'),
      meta: {
        title: '编辑账号组'
      }
    }
    ]
  }]
}

const accountRoutes = {
  path: '/',
  component: Layout,
  redirect: '/dashboard',
  children: [{
    path: 'account',
    name: 'account',
    component: () => import('@/views/accountManagement/index'),
    meta: {
      title: '账号管理'
    }
  },
  {
    path: 'accountAdd',
    name: 'accountAdd',
    component: () => import('@/views/accountManagement/accountEdit'),
    meta: {
      title: '新增账号'
    }
  },
  {
    path: 'accountEdit',
    name: 'accountEdit',
    component: () => import('@/views/accountManagement/accountEdit'),
    meta: {
      title: '编辑账号'
    }
  }

  ]
}

export default [
  accountGroupRoutes,
  accountRoutes
]
